from django.db import models
from django.contrib.auth.models import User
from django.db.models.query import QuerySet

class switches(models.Model):
        SNMP_Version = (
                (u'2c', u'2c'),
                (u'1', u'1'),
        )

	description = models.CharField(blank=True, max_length=1024)
	creation_date = models.DateTimeField(auto_now=False, auto_now_add=True)
	modified_date = models.DateTimeField(auto_now=True, auto_now_add=True, verbose_name="Modified")
	IP = models.IPAddressField(blank=True, null=False)
	community = models.CharField(max_length=255, blank=False, null=False)
	enabled = models.BooleanField(default=True, blank=False, null=False, verbose_name="MacFind")
	version = models.CharField(max_length=50, choices=SNMP_Version)
	netmapperEnabled = models.BooleanField(default=True, blank=False, null=False, verbose_name="NetMapper")
	SNMPdescription =models.CharField(max_length=255) 
	location = models.CharField(blank=True,max_length=128)
	SNMPuptime = models.CharField(max_length=100)
	SNMPcontact = models.CharField(max_length=255)
	SNMPname = models.CharField(max_length=255)
	SNMPlocation = models.CharField(max_length=255)
	
	stpbridgeaddress = models.CharField(max_length=64) 
	stpbridgepriority = models.IntegerField(default=0)
	topologyuptime = models.CharField(max_length=100)
	topologycounter = models.IntegerField(default=0)
	designatedroot = models.CharField(max_length=64)
	designatedrootPri = models.IntegerField(default=0)


	def __unicode__(self):
		return self.IP

	class Meta(object):
		verbose_name_plural = "SNMP switches configuration"
		ordering = ('-enabled', 'IP')

	class Admin:
        	pass

